.b-datepicker {
  display: block;
  position: relative;

  &__label {
    background-color: transparent;
    font-size: 16px;
    display: inline-block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 15px;
    height: 15px;
    line-height: 15px;
    margin: auto;
    z-index: 2;
    color: $blue-dark;
    transform-origin: top left;
    transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
  }

  &__error {
    
  }

  &__error-message {
    display: block;
    color: $red;
    font-size: 12px;
    text-align: left;
  }

  &--is-filled {
    .b-datepicker {
      &__label {
        transform: translateY(-12px) scale(0.75);
      }
    }
  }

  &--error {
    & .b-datepicker__input {
      border: 2px solid $red;
    }
  }

  &__input {
    width: 100%;
    height: 58px;
    font-size: 16px;
    background-color: transparent;
    border: 2px solid $blue-dark;
    border-radius: 4px;
    padding: 22px 12px 0 12px;
    box-sizing: border-box;
    color: $blue-dark;

    &:focus {
      outline: none;
    }
  }

  &__wrapper {
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    bottom: -22px;
    padding: 0 15px;
  }

  & .mx-datepicker {
    width: 100%;
  }

  & .mx-calendar-icon {
    display: none;
  }

  & .mx-calendar {
    color: $text2;
  }

  & .mx-calendar-content .cell.actived {
    background-color: $text2;
  }

  & .mx-panel-date td.today {
    color: $text;
  }

  & .mx-calendar-content .cell:hover {
    background-color: $blue-light;
  }

  & .mx-input-icon {
    color: $text2;
  }

  & .mx-panel-date td.today {
    color: $blue-light;
  }
}